## libam7xxx 0.1.5

=== examples/CMakeLists.txt ===
include(CheckSymbolExists)
add_definitions("-D_POSIX_C_SOURCE=2") # for getopt()
add_definitions("-D_POSIX_SOURCE") # for sigaction
add_definitions("-D_BSD_SOURCE") # for strdup

include_directories(${CMAKE_SOURCE_DIR}/src/)

# Build a test app that sends a single picture
option(BUILD_PICOPROJ "Build a test app that sends a single picture" TRUE)
if(BUILD_PICOPROJ)
  add_executable(picoproj picoproj.c)
  target_link_libraries(picoproj am7xxx)
  install(TARGETS picoproj
    DESTINATION "${CMAKE_INSTALL_PREFIX}/bin")
endif()

# Build a more complete example
option(BUILD_AM7XXX-PLAY "Build a more complete example: am7xxx-play" TRUE)
if(BUILD_AM7XXX-PLAY)
  find_package(FFmpeg REQUIRED)
  set(CMAKE_REQUIRED_LIBRARIES ${FFMPEG_LIBRARIES}) 
  set(CMAKE_REQUIRED_INCLUDES ${FFMPEG_LIBAVFORMAT_INCLUDE_DIRS}) 
  check_symbol_exists(avformat_open_input
    "${FFMPEG_LIBAVFORMAT_INCLUDE_DIRS}/libavformat/avformat.h"
    HAVE_AVFORMAT_OPEN_INPUT)
  if(NOT HAVE_AVFORMAT_OPEN_INPUT)
    message(FATAL_ERROR
      "Function avformat_open_input missing. Please use a newer FFmpeg release.")
  endif()

  include_directories(${FFMPEG_LIBAVDEVICE_INCLUDE_DIRS})
  include_directories(${FFMPEG_LIBAVFORMAT_INCLUDE_DIRS})
  include_directories(${FFMPEG_LIBSWSCALE_INCLUDE_DIRS})

  set(CMAKE_REQUIRED_DEFINITIONS -D_POSIX_SOURCE)
  check_symbol_exists(sigaction "signal.h" HAVE_SIGACTION)
  if (HAVE_SIGACTION)
    add_definitions("-DHAVE_SIGACTION")
  endif()

  check_symbol_exists(strtok_r "string.h" HAVE_STRTOK_R)
  if (HAVE_STRTOK_R)
    add_definitions("-DHAVE_STRTOK_R")
  endif()
  set(CMAKE_REQUIRED_DEFINITIONS)

  # xcb is used to retrieve the full screen dimensions when using x11grab
  # as input format
  find_package(XCB)
  if (XCB_FOUND)
    add_definitions("${LIBXCB_DEFINITIONS} -DHAVE_XCB")
    include_directories(${LIBXCB_INCLUDE_DIRS})
  endif()

  add_executable(am7xxx-play am7xxx-play.c)

  target_link_libraries(am7xxx-play am7xxx
    ${FFMPEG_LIBRARIES}
    ${FFMPEG_LIBSWSCALE_LIBRARIES}
    ${LIBXCB_LIBRARIES})
  install(TARGETS am7xxx-play
    DESTINATION "${CMAKE_INSTALL_PREFIX}/bin")
endif()

# Build a simple usb-modeswitch clone for am7xxx devices
option(BUILD_am7xxx-modeswitch "Build a simple usbmode-switch clone for am7xxx devices" TRUE)
if(BUILD_am7xxx-modeswitch)

  find_package(libusb-1.0 REQUIRED)
  include_directories(${LIBUSB_1_INCLUDE_DIRS})

  add_executable(am7xxx-modeswitch am7xxx-modeswitch.c)
  target_link_libraries(am7xxx-modeswitch ${LIBUSB_1_LIBRARIES})
  install(TARGETS am7xxx-modeswitch
    DESTINATION "${CMAKE_INSTALL_PREFIX}/bin")
endif()

=== debian/changelog ===
libam7xxx (0.1.5-3build1) wily; urgency=medium

  * No-change rebuild against ffmpeg 2.7

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Tue, 01 Sep 2015 18:10:50 +0200

libam7xxx (0.1.5-3) unstable; urgency=medium

  * debian/control: move asciidoc and xmlto to Build-Depends
    They were in Build-Depends-Indep before, but this was not right as these
    dependencies are needed for creating the man pages in the arch:any
    packages.

 -- Antonio Ospite <ao2@ao2.it>  Thu, 06 Nov 2014 15:09:23 +0100

libam7xxx (0.1.5-2) unstable; urgency=medium

  * debian/gbp.conf: fix typo s/prinstine-tar/pristine-tar/g
  * debian/libam7xxx0.1-doc.lintian-overrides: update one override
  * debian/patches: add a patch to fix the license of the example programs
  * debian/copyright: document the license of some scripts from contrib/
  * debian/libam7xxx0.1-bin.install: distribute some files from contrib/
  * debian/libam7xxx0.1-doc.examples: move the C example programs to libam7xxx-dev

 -- Antonio Ospite <ao2@ao2.it>  Mon, 07 Jul 2014 22:41:29 +0200

libam7xxx (0.1.5-1) unstable; urgency=medium

  * New upstream release
  * debian/control: update Maintainer email address
  * debian/copyright: update contact info and copyright years
  * debian/rules: install the NEWS file as the upstream changelog
  * debian/control: rename the libam7xxx-doc package to libam7xxx0.1-doc
  * debian/libam7xxx0.1-doc.lintian-overrides: update overrides
  * debian/control: rename the libam7xxx-bin package to libam7xxx0.1-bin
  * debian/patches: drop all patches
  * debian/watch: detect new versions from gitweb
  * debian/control: fix installation over old versions
  * debian/control: use a single dash in short descriptions
  * debian/control: fix cme warnings "Synopsis is too long."

 -- Antonio Ospite <ao2@ao2.it>  Thu, 15 May 2014 18:09:09 +0200

libam7xxx (0.1.4-3) unstable; urgency=medium

  * debian/control: remove versions from libav dependencies
  * debian/patches: add 0003-CMakeLists.txt-define-DEBUG-1-only-when-CMAKE_BUILD_.patch
  * debian/control: drop the version on the asciidoc dependency
  * debian/gbp.conf: explicitly disable pristine-tar
  * debian/control: bump Standards-Version to 3.9.5
  * debian/control: specify the debian package branch in Vcs-Git
  * debian/control: drop the am7xxx metapackage
  * debian/patches: add 0004-Revert-am7xxx-use-the-symbolic-constant-for-libusb-l.patch

 -- Antonio Ospite <ospite@studenti.unina.it>  Wed, 29 Jan 2014 15:29:28 +0100

libam7xxx (0.1.4-2) unstable; urgency=low

  * debian/patches: add 0002-am7xxx-add-quirks-for-Philips-Sagemcom-PicoPix-2055.patch

 -- Antonio Ospite <ospite@studenti.unina.it>  Sat, 03 Aug 2013 16:27:13 +0200

libam7xxx (0.1.4-1) unstable; urgency=low

  * New upstream release
  * debian/patches: refresh patches for v0.1.4
  * debian/libam7xxx0.1.symbols: add the am7xxx_send_image_async symbol
  * debian/control: update the list of supported devices
  * debian/control: fix a not-binnmuable-any-depends-all lintian error
  * debian/control: update Standards-Version to 3.9.4

 -- Antonio Ospite <ospite@studenti.unina.it>  Sun, 28 Jul 2013 22:39:42 +0200

libam7xxx (0.1.3-1) unstable; urgency=low

  * New upstream release
  * debian/libam7xxx0.1.symbols: add the am7xxx_set_zoom_mode symbol
  * debian/patches: add patch 0001 for a missing man page
  * debian/control: update the list of supported devices
  * debian: add a package for debug symbols
  * debian/patches: add 0002-Revert-am7xxx-play-switch-to-avcodec_encode_video2.patch
  * debian/control: restrict the version also for the other libav libraries

 -- Antonio Ospite <ospite@studenti.unina.it>  Mon, 18 Mar 2013 14:04:14 +0100

libam7xxx (0.1.2-1) unstable; urgency=low

  * Initial release (Closes: #666075)

 -- Antonio Ospite <ospite@studenti.unina.it>  Wed, 28 Mar 2012 16:51:54 +0200

=== debian/control ===
Source: libam7xxx
Section: libdevel
Priority: extra
Maintainer: Antonio Ospite <ao2@ao2.it>
Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~), cmake, pkg-config,
 libusb-1.0-0-dev, libxcb1-dev,
 libavdevice-dev, libavformat-dev, libavcodec-dev, libswscale-dev,
 asciidoc, xmlto
Build-Depends-Indep: doxygen
Standards-Version: 3.9.5
Homepage: http://git.ao2.it/libam7xxx.git
Vcs-Git: git://git.ao2.it/libam7xxx.git -b debian
Vcs-Browser: http://git.ao2.it/libam7xxx.git

Package: libam7xxx0.1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: libam7xxx0.1-bin (= ${binary:Version}), usb-modeswitch, usb-modeswitch-data (>= 20111023-1)
Description: library for accessing am7xxx based devices
 libam7xxx is an Open Source library to communicate via USB with projectors and
 Digital Picture Frames based on the Actions Micro AM7XXX family if ICs.
 .
 libam7xxx makes it possible to use these devices as USB displays on
 non-Windows Operating Systems like GNU/Linux or Android/Linux just to name
 a few, and on non-PC platforms like for instance mobile phones, tablets or
 game consoles.
 .
 Examples of supported devices are:
   - Acer C110
   - Acer C112
   - Aiptek PocketCinema T25
   - Philips/SagemCom PicoPix 1020
   - Philips/SagemCom PicoPix 2055
   - Philips/SagemCom PicoPix 2330
   - Top-Height/TEC PP700
 .
 This package contains the shared library of libam7xxx.

Package: libam7xxx0.1-dbg
Section: debug
Architecture: any
Depends: ${misc:Depends}, libam7xxx0.1 (= ${binary:Version})
Description: debugging symbols for libam7xxx
 libam7xxx is an Open Source library to communicate via USB with projectors and
 Digital Picture Frames based on the Actions Micro AM7XXX family if ICs.
 .
 libam7xxx makes it possible to use these devices as USB displays on
 non-Windows Operating Systems like GNU/Linux or Android/Linux just to name
 a few, and on non-PC platforms like for instance mobile phones, tablets or
 game consoles.
 .
 Examples of supported devices are:
   - Acer C110
   - Acer C112
   - Aiptek PocketCinema T25
   - Philips/SagemCom PicoPix 1020
   - Philips/SagemCom PicoPix 2055
   - Philips/SagemCom PicoPix 2330
   - Top-Height/TEC PP700
 .
 This package contains the debugging symbols for libam7xxx.

Package: libam7xxx-dev
Architecture: any
Depends: ${misc:Depends}, libam7xxx0.1 (= ${binary:Version})
Recommends: libam7xxx0.1-doc (= ${source:Version})
Description: library for accessing am7xxx devices - development files
 libam7xxx is an Open Source library to communicate via USB with projectors and
 Digital Picture Frames based on the Actions Micro AM7XXX family if ICs.
 .
 libam7xxx makes it possible to use these devices as USB displays on
 non-Windows Operating Systems like GNU/Linux or Android/Linux just to name
 a few, and on non-PC platforms like for instance mobile phones, tablets or
 game consoles.
 .
 Examples of supported devices are:
   - Acer C110
   - Acer C112
   - Aiptek PocketCinema T25
   - Philips/SagemCom PicoPix 1020
   - Philips/SagemCom PicoPix 2055
   - Philips/SagemCom PicoPix 2330
   - Top-Height/TEC PP700
 .
 This is the development package containing the libraries and header for
 software development with libam7xxx.

Package: libam7xxx0.1-bin
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libam7xxx-bin
Replaces: libam7xxx-bin
Description: library for accessing am7xxx devices - utilities
 libam7xxx is an Open Source library to communicate via USB with projectors and
 Digital Picture Frames based on the Actions Micro AM7XXX family if ICs.
 .
 libam7xxx makes it possible to use these devices as USB displays on
 non-Windows Operating Systems like GNU/Linux or Android/Linux just to name
 a few, and on non-PC platforms like for instance mobile phones, tablets or
 game consoles.
 .
 Examples of supported devices are:
   - Acer C110
   - Acer C112
   - Aiptek PocketCinema T25
   - Philips/SagemCom PicoPix 1020
   - Philips/SagemCom PicoPix 2055
   - Philips/SagemCom PicoPix 2330
   - Top-Height/TEC PP700
 .
 This package includes utilities and sample programs for libam7xxx.

Package: libam7xxx0.1-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Conflicts: libam7xxx-doc
Replaces: libam7xxx-doc
Description: library for accessing am7xxx devices - documentation
 libam7xxx is an Open Source library to communicate via USB with projectors and
 Digital Picture Frames based on the Actions Micro AM7XXX family if ICs.
 .
 libam7xxx makes it possible to use these devices as USB displays on
 non-Windows Operating Systems like GNU/Linux or Android/Linux just to name
 a few, and on non-PC platforms like for instance mobile phones, tablets or
 game consoles.
 .
 Examples of supported devices are:
   - Acer C110
   - Acer C112
   - Aiptek PocketCinema T25
   - Philips/SagemCom PicoPix 1020
   - Philips/SagemCom PicoPix 2055
   - Philips/SagemCom PicoPix 2330
   - Top-Height/TEC PP700
 .
 This package contains the documentation of the API of libam7xxx.

## libam7xxx 0.1.6

=== examples/CMakeLists.txt ===
--- 
+++ 
@@ -18,8 +18,8 @@
 option(BUILD_AM7XXX-PLAY "Build a more complete example: am7xxx-play" TRUE)
 if(BUILD_AM7XXX-PLAY)
   find_package(FFmpeg REQUIRED)
-  set(CMAKE_REQUIRED_LIBRARIES ${FFMPEG_LIBRARIES}) 
-  set(CMAKE_REQUIRED_INCLUDES ${FFMPEG_LIBAVFORMAT_INCLUDE_DIRS}) 
+  set(CMAKE_REQUIRED_LIBRARIES ${FFMPEG_LIBRARIES})
+  set(CMAKE_REQUIRED_INCLUDES ${FFMPEG_LIBAVFORMAT_INCLUDE_DIRS})
   check_symbol_exists(avformat_open_input
     "${FFMPEG_LIBAVFORMAT_INCLUDE_DIRS}/libavformat/avformat.h"
     HAVE_AVFORMAT_OPEN_INPUT)
@@ -50,6 +50,7 @@
   if (XCB_FOUND)
     add_definitions("${LIBXCB_DEFINITIONS} -DHAVE_XCB")
     include_directories(${LIBXCB_INCLUDE_DIRS})
+    set(OPTIONAL_LIBRARIES ${LIBXCB_LIBRARIES})
   endif()
 
   add_executable(am7xxx-play am7xxx-play.c)
@@ -57,7 +58,7 @@
   target_link_libraries(am7xxx-play am7xxx
     ${FFMPEG_LIBRARIES}
     ${FFMPEG_LIBSWSCALE_LIBRARIES}
-    ${LIBXCB_LIBRARIES})
+    ${OPTIONAL_LIBRARIES})
   install(TARGETS am7xxx-play
     DESTINATION "${CMAKE_INSTALL_PREFIX}/bin")
 endif()

=== src/CMakeLists.txt ===
add_definitions("-D_BSD_SOURCE") # for htole32()
add_definitions("-D_POSIX_C_SOURCE=199309L") # for nanosleep()

# Find packages needed to build library
find_package(libusb-1.0 REQUIRED)
include_directories(${LIBUSB_1_INCLUDE_DIRS})

set(SRC am7xxx.c serialize.c tools.c)

# Build the library
add_library(am7xxx SHARED ${SRC})
set_target_properties(am7xxx PROPERTIES
  VERSION ${PROJECT_VER}
  SOVERSION ${PROJECT_APIVER})
install(TARGETS am7xxx
  DESTINATION "${CMAKE_INSTALL_PREFIX}/lib")

add_library(am7xxx-static STATIC ${SRC})
set_target_properties(am7xxx-static PROPERTIES OUTPUT_NAME am7xxx)
if(UNIX AND NOT APPLE)
  set_target_properties(am7xxx-static PROPERTIES COMPILE_FLAGS "-fPIC")
endif()
install(TARGETS am7xxx-static
   DESTINATION "${CMAKE_INSTALL_PREFIX}/lib")

if(NOT WIN32)
  find_library(MATH_LIB m)
else()
  # not needed on windows
  set(MATH_LIB "")
endif()

target_link_libraries(am7xxx ${MATH_LIB} ${LIBUSB_1_LIBRARIES})
target_link_libraries(am7xxx-static ${MATH_LIB} ${LIBUSB_1_LIBRARIES})

# Install the header files
install(FILES "am7xxx.h"
  DESTINATION "${CMAKE_INSTALL_PREFIX}/include")

if(UNIX AND NOT APPLE)
  # Produce a pkg-config file for linking against the shared lib
  configure_file("libam7xxx.pc.in" "libam7xxx.pc" @ONLY)
  install(FILES "${CMAKE_CURRENT_BINARY_DIR}/libam7xxx.pc"
    DESTINATION "${CMAKE_INSTALL_PREFIX}/lib/pkgconfig")
endif()

=== debian/changelog ===
libam7xxx (0.1.6-2) unstable; urgency=medium

  * debian/patches: add a patch to make the build of Doxygen docs reproducible
  * debian/patches: add am7xxx-bump-_POSIX_C_SOURCE-to-200112L-for-lroundf.patch
  * debian/libam7xxx0.1-doc.lintian-overrides: drop unused-overrides

 -- Antonio Ospite <ao2@ao2.it>  Tue, 17 Nov 2015 20:18:01 +0100

libam7xxx (0.1.6-1) unstable; urgency=medium

  * New upstream release (Closes: #803832)
  * debian/patches: drop all patches, they have all been applied upstream
  * debian/control: increase Standards-Version to 3.9.6

 -- Antonio Ospite <ao2@ao2.it>  Tue, 17 Nov 2015 18:16:29 +0100

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

DEB_LDFLAGS_MAINT_APPEND=-Wl,-Bsymbolic-functions -Wl,--as-needed
include /usr/share/dpkg/buildflags.mk
export CFLAGS CPPFLAGS LDFLAGS

%:
	dh $@

override_dh_installchangelogs:
	dh_installchangelogs NEWS

.PHONY: override_dh_strip
override_dh_strip:
	dh_strip --dbg-package=libam7xxx0.1-dbg

=== debian/watch ===
version=3

opts=downloadurlmangle=s/shortlog\/refs\/tags\/(v[\d\.]+)/snapshot\/$1.tar.gz/,\
filenamemangle=s/.*v([\d\.]+)$/libam7xxx-$1.tar.gz/ \
  http://git.ao2.it/libam7xxx.git/tags  ^.*v([\d\.]+)

## libam7xxx 0.1.7

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)
project(libam7xxx C)

set(PROJECT_DESCRIPTION
  "Communication library for Actions Micro AM7XXX based USB projectors and DPFs")

set(PROJECT_VER_MAJOR 0)
set(PROJECT_VER_MINOR 1)
set(PROJECT_VER_PATCH 5)
set(PROJECT_VER_EXTRA "")
set(PROJECT_VER
  "${PROJECT_VER_MAJOR}.${PROJECT_VER_MINOR}.${PROJECT_VER_PATCH}${PROJECT_VER_EXTRA}")
set(PROJECT_APIVER
  "${PROJECT_VER_MAJOR}.${PROJECT_VER_MINOR}")

set(CMAKE_MODULE_PATH
  ${CMAKE_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake_modules/")

OPTION(STRICT_COMPILATION_CHECKS "Enable stricter compilation checks" OFF)

include (MaintenanceTools)

set(EXECUTABLE_OUTPUT_PATH ${CMAKE_BINARY_DIR}/bin)
set(LIBRARY_OUTPUT_PATH ${CMAKE_BINARY_DIR}/lib)
set(DOC_OUTPUT_PATH ${CMAKE_BINARY_DIR}/doc)

# Because cmake cannot deal sanely with multiline strings. SRSLY?
# See http://www.vtkedge.org/Bug/view.php?id=8362&nbn=8
macro(add_flags var)
  string(REPLACE ";" " " _flags "${ARGN}")
  set(${var} "${${var}} ${_flags}")
endmacro(add_flags)

string(REGEX MATCH "clang" CMAKE_COMPILER_IS_CLANG "${CMAKE_C_COMPILER}")

if (CMAKE_COMPILER_IS_GNUCC OR CMAKE_COMPILER_IS_CLANG)
  add_definitions(-Wall)

  # let CFLAGS env override this
  if(CMAKE_C_FLAGS STREQUAL "")
    set(CMAKE_C_FLAGS "-std=c99 -pedantic -Wall -Wextra")
  endif()

  add_flags(CMAKE_C_FLAGS
    -fvisibility=hidden
    -fno-common
    -Wall
    -Wextra
    -Wformat=2
    -Winit-self
    -Winline
    -Wpacked
    -Wpointer-arith
    -Wlarger-than-65500
    -Wmissing-declarations
    -Wmissing-format-attribute
    -Wmissing-noreturn
    -Wmissing-prototypes
    -Wnested-externs
    -Wold-style-definition
    -Wredundant-decls
    -Wsign-compare
    -Wstrict-aliasing=2
    -Wstrict-prototypes
    -Wswitch-enum
    -Wundef
    -Wunreachable-code
    -Wwrite-strings
    -fstack-protector)

  add_flags(DEBUG_FLAGS
    -ggdb)

  add_flags(RELEASE_FLAGS
    -Wp,-D_FORTIFY_SOURCE=2)

  if (STRICT_COMPILATION_CHECKS)
    add_flags(STRICT_FLAGS
      -Werror
      # sign conversion warnings can be very noisy for a very little gain
      #-Wsign-conversion
      # NOTE: Vanilla libusb-1.0.8 can't live with -pedantic-errors
      -pedantic-errors)

  endif()
endif()

if (CMAKE_COMPILER_IS_GNUCC)
  add_flags(CMAKE_C_FLAGS
    -Wunsafe-loop-optimizations
    --param=ssp-buffer-size=4)

  if (STRICT_COMPILATION_CHECKS)
    add_flags(STRICT_FLAGS
      # NOTE: GCC >= 4.6 is needed for -Wunused-but-set-variable
      -Wunused-but-set-variable)
  endif()
endif()

if (CMAKE_COMPILER_IS_CLANG)
  if (STRICT_COMPILATION_CHECKS)
    add_flags(STRICT_FLAGS
      -Wshorten-64-to-32)
  endif()
endif()

set(CMAKE_C_FLAGS_DEBUG "-O0 -DDEBUG=1 ${DEBUG_FLAGS} ${STRICT_FLAGS}")
set(CMAKE_C_FLAGS_RELEASE "-O2 ${RELEASE_FLAGS} ${STRICT_FLAGS}")
set(CMAKE_C_FLAGS_RELWITHDEBINFO "-O2 ${RELEASE_FLAGS} ${DEBUG_FLAGS} ${STRICT_FLAGS}")

# Add library project
add_subdirectory(src)
add_subdirectory(examples)
add_subdirectory(doc)

=== doc/CMakeLists.txt ===
# add a target to generate API documentation with Doxygen
find_package(Doxygen)
if(DOXYGEN_FOUND)
  configure_file("Doxyfile.in" "Doxyfile" @ONLY IMMEDIATE)

  add_custom_target(doc
    ${DOXYGEN_EXECUTABLE} ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile
    WORKING_DIRECTORY ${DOC_OUTPUT_PATH}
    COMMENT "Generating API documentation with Doxygen" VERBATIM
  )

  add_custom_target(install-doc
    COMMAND ${CMAKE_COMMAND} -DCOMPONENT=doc -P ${CMAKE_BINARY_DIR}/cmake_install.cmake
    COMMENT "Installing API documentation")
  add_dependencies(install-doc doc)

  install(CODE "execute_process(COMMAND ${CMAKE_BUILD_TOOL} doc)")

  install(DIRECTORY ${DOC_OUTPUT_PATH}/html
    DESTINATION "${CMAKE_INSTALL_PREFIX}/share/doc/${CMAKE_PROJECT_NAME}"
    COMPONENT doc)

endif(DOXYGEN_FOUND)

add_subdirectory(man)

=== examples/CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,5 @@
 include(CheckSymbolExists)
-add_definitions("-D_POSIX_C_SOURCE=2") # for getopt()
-add_definitions("-D_POSIX_SOURCE") # for sigaction
-add_definitions("-D_BSD_SOURCE") # for strdup
+add_definitions("-D_POSIX_C_SOURCE=200809L") # for getopt(), sigaction(), and strdup()
 
 include_directories(${CMAKE_SOURCE_DIR}/src/)
 
@@ -18,10 +16,10 @@
 option(BUILD_AM7XXX-PLAY "Build a more complete example: am7xxx-play" TRUE)
 if(BUILD_AM7XXX-PLAY)
   find_package(FFmpeg REQUIRED)
-  set(CMAKE_REQUIRED_LIBRARIES ${FFMPEG_LIBRARIES})
+  set(CMAKE_REQUIRED_LIBRARIES ${FFMPEG_LIBAVFORMAT_LIBRARIES})
   set(CMAKE_REQUIRED_INCLUDES ${FFMPEG_LIBAVFORMAT_INCLUDE_DIRS})
   check_symbol_exists(avformat_open_input
-    "${FFMPEG_LIBAVFORMAT_INCLUDE_DIRS}/libavformat/avformat.h"
+    "libavformat/avformat.h"
     HAVE_AVFORMAT_OPEN_INPUT)
   if(NOT HAVE_AVFORMAT_OPEN_INPUT)
     message(FATAL_ERROR

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,9 @@
-add_definitions("-D_BSD_SOURCE") # for htole32()
-add_definitions("-D_POSIX_C_SOURCE=199309L") # for nanosleep()
+add_definitions("-D_DEFAULT_SOURCE") # for htole32()
+add_definitions("-D_POSIX_C_SOURCE=200112L") # for nanosleep() and lroundf()
+
+# Express a preference for C99 format strings when using MinGW, see:
+# https://sourceforge.net/p/mingw-w64/wiki2/gnu%20printf/
+add_definitions("-D__USE_MINGW_ANSI_STDIO=1")
 
 # Find packages needed to build library
 find_package(libusb-1.0 REQUIRED)

=== doc/man/CMakeLists.txt ===
# add a target to generate man pages with asciidoc
find_package(Asciidoc)
if(ASCIIDOC_FOUND)
  add_custom_target(manpages
    ${ASCIIDOC_A2X_EXECUTABLE} -f manpage ${CMAKE_CURRENT_SOURCE_DIR}/am7xxx-play.1.txt -D ${DOC_OUTPUT_PATH}/man
    COMMAND ${ASCIIDOC_A2X_EXECUTABLE} -f manpage ${CMAKE_CURRENT_SOURCE_DIR}/am7xxx-modeswitch.1.txt -D ${DOC_OUTPUT_PATH}/man
    COMMAND ${ASCIIDOC_A2X_EXECUTABLE} -f manpage ${CMAKE_CURRENT_SOURCE_DIR}/picoproj.1.txt -D ${DOC_OUTPUT_PATH}/man
    WORKING_DIRECTORY ${DOC_OUTPUT_PATH}/man
    COMMENT "Generating man pages with Asciidoc" VERBATIM
  )

  add_custom_target(install-manpages
    COMMAND ${CMAKE_COMMAND} -DCOMPONENT=manpages -P ${CMAKE_BINARY_DIR}/cmake_install.cmake
    COMMENT "Installing manpages")
  add_dependencies(install-manpages manpages)

  install(CODE "execute_process(COMMAND ${CMAKE_BUILD_TOOL} manpages)")

  install(FILES
    ${DOC_OUTPUT_PATH}/man/am7xxx-play.1
    ${DOC_OUTPUT_PATH}/man/am7xxx-modeswitch.1
    ${DOC_OUTPUT_PATH}/man/picoproj.1
    DESTINATION "${CMAKE_INSTALL_PREFIX}/share/man/man1/"
    COMPONENT manpages)

endif(ASCIIDOC_FOUND)

=== debian/changelog ===
libam7xxx (0.1.7-1) unstable; urgency=medium

  * New upstream release (Closes: #888355)
  * debian/{control,gbp.conf}: change the debian branch name to follow DEP-14
  * debian/patches: drop a patch merged upstream
  * debian/patches: add a patch to fix the version number
  * debian/rules: don't include buildflags.mk manually
  * debian/rules: enable all hardening flags
  * debian/control: replace priority "extra" with "optional"
  * debian/patches: add a patch to fix udev rules
  * debian/patches: add a patch to use GNUInstallDirs when building with cmake
  * debian/*.install: fix paths for multi-arch objects
  * debian/patches: add patch to add the AppStream metadata
  * debian/libam7xxx0.1.install: install the AppStream metainfo file
  * debian/{control,rules}: drop the obsolete -dbg package
  * debian: use https in URLs
  * debian/control: bump Standards-Version to 4.1.3
  * debian/{compat,control}: bump debhelper compatibility to 11
  * debian/libam7xxx0.1-doc.*: additional doc is now installed in the main package
  * debian/libam7xxx0.1-doc.lintian-overrides: remove unused override
  * debian/copyright: update copyright years
  * debian/control: remove unnecessary greater-than versioned dependencies
  * debian/control: remove obsolete Conflicts/Replaces
  * debian/control: drop the dependency on dpkg-dev

 -- Antonio Ospite <ao2@ao2.it>  Sat, 03 Mar 2018 16:17:56 +0100

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,22 @@
 Source: libam7xxx
 Section: libdevel
-Priority: extra
+Priority: optional
 Maintainer: Antonio Ospite <ao2@ao2.it>
-Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~), cmake, pkg-config,
+Build-Depends: debhelper (>= 11), cmake, pkg-config,
  libusb-1.0-0-dev, libxcb1-dev,
  libavdevice-dev, libavformat-dev, libavcodec-dev, libswscale-dev,
  asciidoc, xmlto
 Build-Depends-Indep: doxygen
-Standards-Version: 3.9.5
-Homepage: http://git.ao2.it/libam7xxx.git
-Vcs-Git: git://git.ao2.it/libam7xxx.git -b debian
-Vcs-Browser: http://git.ao2.it/libam7xxx.git
+Standards-Version: 4.1.3
+Homepage: https://git.ao2.it/libam7xxx.git
+Vcs-Git: https://git.ao2.it/libam7xxx.git -b debian/master
+Vcs-Browser: https://git.ao2.it/libam7xxx.git
 
 Package: libam7xxx0.1
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Recommends: libam7xxx0.1-bin (= ${binary:Version}), usb-modeswitch, usb-modeswitch-data (>= 20111023-1)
+Recommends: libam7xxx0.1-bin (= ${binary:Version}), usb-modeswitch, usb-modeswitch-data
 Description: library for accessing am7xxx based devices
  libam7xxx is an Open Source library to communicate via USB with projectors and
  Digital Picture Frames based on the Actions Micro AM7XXX family if ICs.
@@ -36,30 +36,6 @@
    - Top-Height/TEC PP700
  .
  This package contains the shared library of libam7xxx.
-
-Package: libam7xxx0.1-dbg
-Section: debug
-Architecture: any
-Depends: ${misc:Depends}, libam7xxx0.1 (= ${binary:Version})
-Description: debugging symbols for libam7xxx
- libam7xxx is an Open Source library to communicate via USB with projectors and
- Digital Picture Frames based on the Actions Micro AM7XXX family if ICs.
- .
- libam7xxx makes it possible to use these devices as USB displays on
- non-Windows Operating Systems like GNU/Linux or Android/Linux just to name
- a few, and on non-PC platforms like for instance mobile phones, tablets or
- game consoles.
- .
- Examples of supported devices are:
-   - Acer C110
-   - Acer C112
-   - Aiptek PocketCinema T25
-   - Philips/SagemCom PicoPix 1020
-   - Philips/SagemCom PicoPix 2055
-   - Philips/SagemCom PicoPix 2330
-   - Top-Height/TEC PP700
- .
- This package contains the debugging symbols for libam7xxx.
 
 Package: libam7xxx-dev
 Architecture: any
@@ -90,8 +66,6 @@
 Section: utils
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: libam7xxx-bin
-Replaces: libam7xxx-bin
 Description: library for accessing am7xxx devices - utilities
  libam7xxx is an Open Source library to communicate via USB with projectors and
  Digital Picture Frames based on the Actions Micro AM7XXX family if ICs.
@@ -116,8 +90,6 @@
 Section: doc
 Architecture: all
 Depends: ${misc:Depends}
-Conflicts: libam7xxx-doc
-Replaces: libam7xxx-doc
 Description: library for accessing am7xxx devices - documentation
  libam7xxx is an Open Source library to communicate via USB with projectors and
  Digital Picture Frames based on the Actions Micro AM7XXX family if ICs.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-Bsymbolic-functions -Wl,--as-needed

%:
	dh $@

override_dh_installchangelogs:
	dh_installchangelogs NEWS

.PHONY: override_dh_strip
override_dh_strip:
	dh_strip --dbgsym-migration='libam7xxx0.1-dbg (<< 0.1.7-1~)'

=== debian/watch ===
version=3

opts=downloadurlmangle=s/shortlog\/refs\/tags\/(v[\d\.]+)/snapshot\/$1.tar.gz/,\
filenamemangle=s/.*v([\d\.]+)$/libam7xxx-$1.tar.gz/ \
  https://git.ao2.it/libam7xxx.git/tags  ^.*v([\d\.]+)
